---
title: "GET /route/psp_application"
canonical: "https://docs.perspectium.com/space/apisdk/1704016/GET%20%2Froute%2Fpsp_application"
format: markdown
---
The GET /route/psp_application REST API queries records from your currently running psp_application. REST Method & Endpoint   /route/psp_application Parameters No parameters, as we want all the records in the current psp_application every time Responses HTTP Status Code Reason 200 RouteServlet returns a JSON object with a field called  app  that holds an array of all the records in  psp_application  (name, psp_id, input_queue, etc.) 400 RouteServlet returns a JSON object with an  error  field that holds an error message that provides more details as to what went wrong then gracefully return and exit AJAX Call $.ajax({
	    url: "/route/psp_application",
	    async: false,
	    success: function(resp) {
	        for(var r in resp.apps) {
			//in appsObj store psp_ids in the form {app_name: psp_id, app_name: psp_id}
			appsObj[resp.apps[r].name] = resp.apps[r].psp_id;
			appsName[r] = resp.apps[r].name;
			//inputQueues stores {app_name: input_queue......}
			inputQueues[resp.apps[r].name] = resp.apps[r].input_queue;
		}
	    },
	    error: function(resp) {
		$.psp.message(resp.error);
		return;
	    }
        }); SQL Query SELECT * FROM psp_application; Example  get /route/psp_application